diff --git a/snf-pithos-app/pithos/api/util.py b/snf-pithos-app/pithos/api/util.py
index ebfc037..7fff6f3 100644
--- a/snf-pithos-app/pithos/api/util.py
+++ b/snf-pithos-app/pithos/api/util.py
@@ -765,21 +822,23 @@ def put_object_block(request, hashmap, data, offset):
         hashmap[bi] = request.backend.update_block(hashmap[bi], data[:bl], bo)
     else:
         hashmap.append(request.backend.put_block(('\x00' * bo) + data[:bl]))
-    return bl # Return ammount of data written.
+    return bl  # Return ammount of data written.
+
 
 def hashmap_md5(backend, hashmap, size):
     """Produce the MD5 sum from the data in the hashmap."""
-    
+
     # TODO: Search backend for the MD5 of another object with the same hashmap and size...
     md5 = hashlib.md5()
     bs = backend.block_size
     for bi, hash in enumerate(hashmap):
-        data = backend.get_block(hash) # Blocks come in padded.
+        data = backend.get_block(hash)  # Blocks come in padded.
         if bi == len(hashmap) - 1:
             data = data[:size % bs]
         md5.update(data)
     return md5.hexdigest().lower()
 
+
 def simple_list_response(request, l):
     if request.serialization == 'text':
         return '\n'.join(l) + '\n'
@@ -788,6 +847,7 @@ def simple_list_response(request, l):
     if request.serialization == 'json':
         return json.dumps(l)
 
+
 def get_backend():
     backend = connect_backend(db_module=BACKEND_DB_MODULE,
                               db_connection=BACKEND_DB_CONNECTION,
@@ -800,9 +860,11 @@ def get_backend():
     backend.default_policy['versioning'] = BACKEND_VERSIONING
     return backend
 
+
 def update_request_headers(request):
     # Handle URL-encoded keys and values.
-    meta = dict([(k, v) for k, v in request.META.iteritems() if k.startswith('HTTP_')])
+    meta = dict([(
+        k, v) for k, v in request.META.iteritems() if k.startswith('HTTP_')])
     for k, v in meta.iteritems():
         try:
             k.decode('ascii')
@@ -811,7 +873,9 @@ def update_request_headers(request):
             raise BadRequest('Bad character in headers.')
         if '%' in k or '%' in v:
             del(request.META[k])
-            request.META[unquote(k)] = smart_unicode(unquote(v), strings_only=True)
+            request.META[unquote(k)] = smart_unicode(unquote(
+                v), strings_only=True)
+
 
 def update_response_headers(request, response):
     if request.serialization == 'xml':
@@ -820,24 +884,25 @@ def update_response_headers(request, response):
         response['Content-Type'] = 'application/json; charset=UTF-8'
     elif not response['Content-Type']:
         response['Content-Type'] = 'text/plain; charset=UTF-8'
-    
+
     if (not response.has_header('Content-Length') and
         not (response.has_header('Content-Type') and
              response['Content-Type'].startswith('multipart/byteranges'))):
         response['Content-Length'] = len(response.content)
-    
+
     # URL-encode unicode in headers.
     meta = response.items()
     for k, v in meta:
         if (k.startswith('X-Account-') or k.startswith('X-Container-') or
-            k.startswith('X-Object-') or k.startswith('Content-')):
+                k.startswith('X-Object-') or k.startswith('Content-')):
             del(response[k])
             response[quote(k)] = quote(v, safe='/=,:@; ')
 
+
 def render_fault(request, fault):
     if isinstance(fault, InternalServerError) and settings.DEBUG:
         fault.details = format_exc(fault)
-    
+
     request.serialization = 'text'
     data = fault.message + '\n'
     if fault.details:
@@ -846,63 +911,68 @@ def render_fault(request, fault):
     update_response_headers(request, response)
     return response
 
+
 def request_serialization(request, format_allowed=False):
     """Return the serialization format requested.
-    
+
     Valid formats are 'text' and 'json', 'xml' if 'format_allowed' is True.
     """
-    
+
     if not format_allowed:
         return 'text'
-    
+
     format = request.GET.get('format')
     if format == 'json':
         return 'json'
     elif format == 'xml':
         return 'xml'
-    
+
     for item in request.META.get('HTTP_ACCEPT', '').split(','):
         accept, sep, rest = item.strip().partition(';')
         if accept == 'application/json':
             return 'json'
         elif accept == 'application/xml' or accept == 'text/xml':
             return 'xml'
-    
+
     return 'text'
 
+
 def api_method(http_method=None, format_allowed=False, user_required=True):
     """Decorator function for views that implement an API method."""
-    
+
     def decorator(func):
         @wraps(func)
         def wrapper(request, *args, **kwargs):
             try:
                 if http_method and request.method != http_method:
                     raise BadRequest('Method not allowed.')
-                
+
                 if user_required:
                     token = None
                     if request.method in ('HEAD', 'GET') and COOKIE_NAME in request.COOKIES:
-                        cookie_value = unquote(request.COOKIES.get(COOKIE_NAME, ''))
+                        cookie_value = unquote(
+                            request.COOKIES.get(COOKIE_NAME, ''))
                         if cookie_value and '|' in cookie_value:
                             token = cookie_value.split('|', 1)[1]
-                    get_user(request, AUTHENTICATION_URL, AUTHENTICATION_USERS, token)
+                    get_user(request,
+                             AUTHENTICATION_URL, AUTHENTICATION_USERS, token)
                     if  getattr(request, 'user', None) is None:
                         raise Unauthorized('Access denied')
-                
+
                 # The args variable may contain up to (account, container, object).
                 if len(args) > 1 and len(args[1]) > 256:
                     raise BadRequest('Container name too large.')
                 if len(args) > 2 and len(args[2]) > 1024:
                     raise BadRequest('Object name too large.')
-                
+
                 # Format and check headers.
                 update_request_headers(request)
-                
+
                 # Fill in custom request variables.
-                request.serialization = request_serialization(request, format_allowed)
+                request.serialization = request_serialization(
+                    request, format_allowed)
                 request.backend = get_backend()
-                
+
                 response = func(request, *args, **kwargs)
                 update_response_headers(request, response)
                 return response
diff --git a/snf-pithos-app/setup.py b/snf-pithos-app/setup.py
index 1809df3..b96fe4b 100644
--- a/snf-pithos-app/setup.py
+++ b/snf-pithos-app/setup.py
@@ -89,13 +89,15 @@ standard_exclude_directories = [
 # Note: you may want to copy this into your setup.py file verbatim, as
 # you can't import this from another package, when you don't know if
 # that package is installed yet.
+
+
 def find_package_data(
     where=".",
     package="",
     exclude=standard_exclude,
     exclude_directories=standard_exclude_directories,
     only_in_packages=True,
-    show_ignored=False):
+        show_ignored=False):
     """
     Return a dictionary suitable for use in ``package_data``
     in a distutils ``setup.py`` file.
@@ -132,7 +134,7 @@ def find_package_data(
                 bad_name = False
                 for pattern in exclude_directories:
                     if (fnmatchcase(name, pattern)
-                        or fn.lower() == pattern.lower()):
+                            or fn.lower() == pattern.lower()):
                         bad_name = True
                         if show_ignored:
                             print >> sys.stderr, (
@@ -142,20 +144,21 @@ def find_package_data(
                 if bad_name:
                     continue
                 if (os.path.isfile(os.path.join(fn, "__init__.py"))
-                    and not prefix):
+                        and not prefix):
                     if not package:
                         new_package = name
                     else:
                         new_package = package + "." + name
                     stack.append((fn, "", new_package, False))
                 else:
-                    stack.append((fn, prefix + name + "/", package, only_in_packages))
+                    stack.append(
+                        (fn, prefix + name + "/", package, only_in_packages))
             elif package or not only_in_packages:
                 # is a file
                 bad_name = False
                 for pattern in exclude:
                     if (fnmatchcase(name, pattern)
-                        or fn.lower() == pattern.lower()):
+                            or fn.lower() == pattern.lower()):
                         bad_name = True
                         if show_ignored:
                             print >> sys.stderr, (
@@ -164,47 +167,46 @@ def find_package_data(
                         break
                 if bad_name:
                     continue
-                out.setdefault(package, []).append(prefix+name)
+                out.setdefault(package, []).append(prefix + name)
     return out
 
 setup(
-    name = 'snf-pithos-app',
-    version = VERSION,
-    license = 'BSD',
-    url = 'http://code.grnet.gr/',
-    description = SHORT_DESCRIPTION,
-    long_description=README + '\n\n' +  CHANGES,
-    classifiers = CLASSIFIERS,
-
-    author = 'Package author',
-    author_email = 'author@grnet.gr',
-    maintainer = 'Package maintainer',
-    maintainer_email = 'maintainer@grnet.gr',
-
-    namespace_packages = ['pithos'],
-    packages = PACKAGES,
-    package_dir= {'': PACKAGES_ROOT},
-    include_package_data = True,
-    package_data = find_package_data('.'),
-    zip_safe = False,
-
-    dependency_links = [
+    name='snf-pithos-app',
+    version=VERSION,
+    license='BSD',
+    url='http://code.grnet.gr/',
+    description=SHORT_DESCRIPTION,
+    long_description=README + '\n\n' + CHANGES,
+    classifiers=CLASSIFIERS,
+
+    author='Package author',
+    author_email='author@grnet.gr',
+    maintainer='Package maintainer',
+    maintainer_email='maintainer@grnet.gr',
+
+    namespace_packages=['pithos'],
+    packages=PACKAGES,
+    package_dir={'': PACKAGES_ROOT},
+    include_package_data=True,
+    package_data=find_package_data('.'),
+    zip_safe=False,
+
+    dependency_links=[
         'http://docs.dev.grnet.gr/pypi/'],
 
-    install_requires = INSTALL_REQUIRES,
-    extras_require = EXTRAS_REQUIRES,
-    tests_require = TESTS_REQUIRES,
-
-    entry_points = {
-     'console_scripts': [
-         ],
-     'synnefo': [
-         'default_settings = pithos.api.synnefo_settings',
-         'web_apps = pithos.api.synnefo_settings:synnefo_installed_apps',
-         'web_middleware = pithos.api.synnefo_settings:synnefo_middlewares',
-         'urls = pithos.api.urls:urlpatterns',
-         'loggers = pithos.api.synnefo_settings:loggers'
-         ]
-      },
+    install_requires=INSTALL_REQUIRES,
+    extras_require=EXTRAS_REQUIRES,
+    tests_require=TESTS_REQUIRES,
+
+    entry_points={
+        'console_scripts': [
+        ],
+        'synnefo': [
+            'default_settings = pithos.api.synnefo_settings',
+            'web_apps = pithos.api.synnefo_settings:synnefo_installed_apps',
+            'web_middleware = pithos.api.synnefo_settings:synnefo_middlewares',
+            'urls = pithos.api.urls:urlpatterns',
+            'loggers = pithos.api.synnefo_settings:loggers'
+        ]
+    },
 )
-
diff --git a/snf-pithos-backend/distribute_setup.py b/snf-pithos-backend/distribute_setup.py
index 10d6684..3539421 100644
--- a/snf-pithos-backend/distribute_setup.py
+++ b/snf-pithos-backend/distribute_setup.py
@@ -144,17 +144,17 @@ def use_setuptools(version=DEFAULT_VERSION, download_base=DEFAULT_URL,
         except ImportError:
             return _do_download(version, download_base, to_dir, download_delay)
         try:
-            pkg_resources.require("distribute>="+version)
+            pkg_resources.require("distribute>=" + version)
             return
         except pkg_resources.VersionConflict:
             e = sys.exc_info()[1]
             if was_imported:
                 sys.stderr.write(
-                "The required version of distribute (>=%s) is not available,\n"
-                "and can't be installed while this script is running. Please\n"
-                "install a more recent version first, using\n"
-                "'easy_install -U distribute'."
-                "\n\n(Currently using %r)\n" % (version, e.args[0]))
+                    "The required version of distribute (>=%s) is not available,\n"
+                    "and can't be installed while this script is running. Please\n"
+                    "install a more recent version first, using\n"
+                    "'easy_install -U distribute'."
+                    "\n\n(Currently using %r)\n" % (version, e.args[0]))
                 sys.exit(2)
             else:
                 del pkg_resources, sys.modules['pkg_resources']    # reload ok
@@ -167,6 +167,7 @@ def use_setuptools(version=DEFAULT_VERSION, download_base=DEFAULT_URL,
         if not no_fake:
             _create_fake_setuptools_pkg_info(to_dir)
 
+
 def download_setuptools(version=DEFAULT_VERSION, download_base=DEFAULT_URL,
                         to_dir=os.curdir, delay=15):
     """Download distribute from a specified location and return its filename
@@ -203,6 +204,7 @@ def download_setuptools(version=DEFAULT_VERSION, download_base=DEFAULT_URL,
                 dst.close()
     return os.path.realpath(saveto)
 
+
 def _no_sandbox(function):
     def __no_sandbox(*args, **kw):
         try:
@@ -227,6 +229,7 @@ def _no_sandbox(function):
 
     return __no_sandbox
 
+
 def _patch_file(path, content):
     """Will backup the file then patch it"""
     existing_content = open(path).read()
@@ -245,15 +248,18 @@ def _patch_file(path, content):
 
 _patch_file = _no_sandbox(_patch_file)
 
+
 def _same_content(path, content):
     return open(path).read() == content
 
+
 def _rename_path(path):
     new_name = path + '.OLD.%s' % time.time()
     log.warn('Renaming %s into %s', path, new_name)
     os.rename(path, new_name)
     return new_name
 
+
 def _remove_flat_installation(placeholder):
     if not os.path.isdir(placeholder):
         log.warn('Unkown installation at %s', placeholder)
@@ -289,18 +295,20 @@ def _remove_flat_installation(placeholder):
 
 _remove_flat_installation = _no_sandbox(_remove_flat_installation)
 
+
 def _after_install(dist):
     log.warn('After install bootstrap.')
     placeholder = dist.get_command_obj('install').install_purelib
     _create_fake_setuptools_pkg_info(placeholder)
 
+
 def _create_fake_setuptools_pkg_info(placeholder):
     if not placeholder or not os.path.exists(placeholder):
         log.warn('Could not find the install location')
         return
     pyver = '%s.%s' % (sys.version_info[0], sys.version_info[1])
     setuptools_file = 'setuptools-%s-py%s.egg-info' % \
-            (SETUPTOOLS_FAKED_VERSION, pyver)
+        (SETUPTOOLS_FAKED_VERSION, pyver)
     pkg_info = os.path.join(placeholder, setuptools_file)
     if os.path.exists(pkg_info):
         log.warn('%s already exists', pkg_info)
@@ -321,7 +329,9 @@ def _create_fake_setuptools_pkg_info(placeholder):
     finally:
         f.close()
 
-_create_fake_setuptools_pkg_info = _no_sandbox(_create_fake_setuptools_pkg_info)
+_create_fake_setuptools_pkg_info = _no_sandbox(
+    _create_fake_setuptools_pkg_info)
+
 
 def _patch_egg_dir(path):
     # let's check if it's already patched
@@ -343,6 +353,7 @@ def _patch_egg_dir(path):
 
 _patch_egg_dir = _no_sandbox(_patch_egg_dir)
 
+
 def _before_install():
     log.warn('Before install bootstrap.')
     _fake_setuptools()
@@ -351,7 +362,7 @@ def _before_install():
 def _under_prefix(location):
     if 'install' not in sys.argv:
         return True
-    args = sys.argv[sys.argv.index('install')+1:]
+    args = sys.argv[sys.argv.index('install') + 1:]
     for index, arg in enumerate(args):
         for option in ('--root', '--prefix'):
             if arg.startswith('%s=' % option):
@@ -359,7 +370,7 @@ def _under_prefix(location):
                 return location.startswith(top_dir)
             elif arg == option:
                 if len(args) > index:
-                    top_dir = args[index+1]
+                    top_dir = args[index + 1]
                     return location.startswith(top_dir)
         if arg == '--user' and USER_SITE is not None:
             return location.startswith(USER_SITE)
@@ -380,7 +391,8 @@ def _fake_setuptools():
                                   replacement=False))
     except TypeError:
         # old distribute API
-        setuptools_dist = ws.find(pkg_resources.Requirement.parse('setuptools'))
+        setuptools_dist = ws.find(
+            pkg_resources.Requirement.parse('setuptools'))
 
     if setuptools_dist is None:
         log.warn('No setuptools distribution found')
@@ -406,7 +418,7 @@ def _fake_setuptools():
         log.warn('Egg installation')
         pkg_info = os.path.join(setuptools_location, 'EGG-INFO', 'PKG-INFO')
         if (os.path.exists(pkg_info) and
-            _same_content(pkg_info, SETUPTOOLS_PKG_INFO)):
+                _same_content(pkg_info, SETUPTOOLS_PKG_INFO)):
             log.warn('Already patched.')
             return
         log.warn('Patching...')
@@ -448,7 +460,7 @@ def _extractall(self, path=".", members=None):
             # Extract directories with a safe mode.
             directories.append(tarinfo)
             tarinfo = copy.copy(tarinfo)
-            tarinfo.mode = 448 # decimal for oct 0700
+            tarinfo.mode = 448  # decimal for oct 0700
         self.extract(tarinfo, path)
 
     # Reverse sort directories.
